
<?php $__env->startSection('content'); ?>
    


            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <h6 class="card-title mb-4 titlcust">Edit User</h6>
                                </div>

                            </div>
                            <!-- <div class="col-4"> -->
                            <form action="<?php echo e(route('crusher.subadmins.update', ['subadmin' => $subadmin->id])); ?>"
                                class="outer-repeater" method="POST">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('put'); ?>

                                <div class="row">

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>User Name</label>
                                            <input class="form-control" type="text" placeholder="Enter User Name"
                                                id="example-number-input" name="name"
                                                value="<?php echo e(old('name', $subadmin->name)); ?>">
                                            <?php if($errors->has('name')): ?>
                                                <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input class="form-control" type="text" placeholder="Enter Email"
                                                id="example-number-input" name="email"
                                                value="<?php echo e(old('email', $subadmin->email)); ?>">
                                            <?php if($errors->has('email')): ?>
                                                <div class="text-danger"><?php echo e($errors->first('email')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Password</label>
                                            <input class="form-control" type="password" placeholder="Enter Password"
                                                id="example-number-input" name="password" value="<?php echo e(old('password')); ?>">
                                            <?php if($errors->has('password')): ?>
                                                <div class="text-danger"><?php echo e($errors->first('password')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>



                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Located Country</label>
                                            <select class="form-control select2" name="location">
                                                <option>Select Located Country</option>
                                                <option value="Alkaram Pakistan"
                                                    <?php if($subadmin->location == 'Alkaram Pakistan'): ?> selected <?php endif; ?>>Alkaram Pakistan
                                                </option>
                                                <option value="Alkaram Dubai"
                                                    <?php if($subadmin->location == 'Alkaram Dubai'): ?> selected <?php endif; ?>>Alkaram Dubai</option>
                                                <option value="Alkaram Oman"
                                                    <?php if($subadmin->location == 'Alkaram Oman'): ?> selected <?php endif; ?>>Alkaram Oman</option>
                                            </select>
                                            <?php if($errors->has('location')): ?>
                                                <div class="text-danger"><?php echo e($errors->first('location')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>


                                    <div class="col-md-2 custveri">
                                        <div class="custom-control custom-switch mb-2" dir="ltr">
                                            <input type="checkbox" class="custom-control-input" id="customSwitch72"
                                                name="agreed" value="1" <?php echo e($subadmin->agreed == 1 ? 'checked' : ''); ?>

                                                unchecked>
                                            <label class="custom-control-label" for="customSwitch72">Verification
                                                For User</label>
                                            <?php if($errors->has('agreed')): ?>
                                                <div class="text-danger"><?php echo e($errors->first('agreed')); ?></div>
                                            <?php endif; ?>
                                        </div>
                                    </div>


                                    <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-1 custveri">
                                            <label>
                                                <input type="checkbox" class="branch-checkbox" value="<?php echo e($branch->id); ?>"
                                                    onclick="reloadPageWithBranches()">
                                                <?php echo e($branch->company->name); ?> | <?php echo e($branch->name); ?>

                                            </label>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php if(isset(request()->branch_ids)): ?>
                <?php $__empty_1 = true; $__currentLoopData = request()->branch_ids; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <!-- Start row -->
                                    <div class="row">
                                        <?php
                                            $permissionTypes = ['Master', 'Report', 'Transactions', 'Others', 'period-closing', 'user'];
                                        ?>

                                        <?php $__currentLoopData = $permissionTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="col-md-2">
                                                <?php
                                                    $branchName = ''; // Initialize variable to store the branch name
                                                    // Find the branch name based on type and branch ID
                                                    $branchPermission = $permissions->first(function ($permission) use ($id, $type) {
                                                        return $permission->permission->type === $type && $permission->branch_id == $id;
                                                    });
                                                    if ($branchPermission) {
                                                        $branchName = $branchPermission->branch->name;
                                                    }
                                                ?>
                                                <h4><?php echo e($branchName); ?></h4>
                                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                                    <input type="checkbox" class="custom-control-input type-checkbox"
                                                        id="<?php echo e($type); ?>TypeCheckbox<?php echo e($id); ?>"
                                                        data-type="<?php echo e($type); ?>" data-branch="<?php echo e($id); ?>">
                                                    <label class="custom-control-label titlcust"
                                                        for="<?php echo e($type); ?>TypeCheckbox<?php echo e($id); ?>"><?php echo e($type); ?>

                                                    </label>
                                                </div>

                                                <?php $__empty_2 = true; $__currentLoopData = $permissions->filter(function ($permission) use ($id, $type) {
                                                                    return $permission->permission->type === $type && $permission->branch_id == $id;
                                                                }); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                                        <input type="checkbox"
                                                            class="custom-control-input permission-checkbox"
                                                            name="permissions[]" id="customSwitch<?php echo e($permission->id); ?>"
                                                            value="<?php echo e($permission->id); ?>"
                                                            data-branch="<?php echo e($permission->branch_id); ?>"
                                                            data-type="<?php echo e($type); ?>"
                                                            <?php $__currentLoopData = $subadmin->permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subadminPermission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($subadminPermission->branch_permission_id === $permission->id): ?>
                                                            checked
                                                            <?php break; ?>
                                                        <?php endif; ?> <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>>
                                                        <label class="custom-control-label"
                                                            for="customSwitch<?php echo e($permission->id); ?>"><?php echo e($permission->permission->name); ?></label>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                                <?php endif; ?>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <?php endif; ?>
                <?php endif; ?>

                <button class="btn btn-cust1 float-right" data-toggle="modal" data-target="" type="submit">Update</button>
                </form>
                <!-- end row -->
            </div>
        </div>
        <!-- end row -->

        <!-- end main content-->

        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

        <!-- form repeater js -->
        <script src="assets/libs/jquery.repeater/jquery.repeater.min.js"></script>

        <!-- form repeater init -->
        <script src="assets/js/pages/form-repeater.init.js"></script>

        <script src="assets/js/app.js"></script>
        <script>
        $(document).ready(function() {
            $('.page-wrapper').find('input, textarea, select, button, a').prop('disabled', true);
        });


            $(".selectall").click(function() {
                $(".apc").prop("checked", $(this).prop("checked"));
            });

            $(".selectallmaster").click(function() {
                $(".master").prop("checked", $(this).prop("checked"));
            });

            $(".selectallreport").click(function() {
                $(".report").prop("checked", $(this).prop("checked"));
            });

            $(".selectalltransaction").click(function() {
                $(".transactions").prop("checked", $(this).prop("checked"));
            });

            $(".selectallother").click(function() {
                $(".other").prop("checked", $(this).prop("checked"));
            });
            $(".selectallother").click(function() {
                if (checkBox.checked == true) {
                    price.style.display = "none";
                } else {
                    price.style.display = "block";
                }
            });

            function myFunction() {
                var checkBox = document.getElementById("myCheck");
                var pricehidden1 = document.getElementById("pricehidden1");
                var pricehidden2 = document.getElementById("pricehidden2");
                var pricehidden3 = document.getElementById("pricehidden3");

                if (checkBox.checked == true) {
                    pricehidden1.style.display = "none";
                    pricehidden2.style.display = "none";
                    pricehidden3.style.display = "none";
                } else {
                    pricehidden1.style.display = "block";
                    pricehidden2.style.display = "block";
                    pricehidden3.style.display = "block";
                }
            }

            // BRANCH CHECKBOX
            document.addEventListener('DOMContentLoaded', function() {
                const params = new URLSearchParams(window.location.search);
                const branchIds = params.getAll('branch_ids[]');

                branchIds.forEach(function(branchId) {
                    const checkbox = document.querySelector(`.branch-checkbox[value="${branchId}"]`);
                    if (checkbox) {
                        checkbox.checked = true;
                    }
                });
            });

            function reloadPageWithBranches() {
                const selectedBranches = [];

                document.querySelectorAll('.branch-checkbox:checked').forEach(function(checkbox) {
                    selectedBranches.push(checkbox.value);
                });

                const queryParams = selectedBranches.length > 0 ? `branch_ids[]=${selectedBranches.join('&branch_ids[]=')}` :
                    '';
                const newUrl = window.location.pathname + '?' + queryParams;

                window.location.href = newUrl;
            }

            // permission select all
            document.addEventListener('DOMContentLoaded', function() {
                const typeCheckboxes = document.querySelectorAll('.type-checkbox');
                typeCheckboxes.forEach(checkbox => {
                    checkbox.addEventListener('change', function() {
                        const type = this.getAttribute('data-type');
                        const branchId = this.getAttribute('data-branch');
                        const permissionCheckboxes = document.querySelectorAll(
                            `.permission-checkbox[data-type="${type}"][data-branch="${branchId}"]`);

                        const isChecked = this.checked;
                        permissionCheckboxes.forEach(permissionCheckbox => {
                            permissionCheckbox.checked = isChecked;
                        });
                    });
                });
            });
        </script>
    <?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/subadmin/crusher-view-users.blade.php ENDPATH**/ ?>