<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Credit Note (Sales Return Voucher)</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="<?php echo e(route("crusher.credit_notes.create")); ?>">
                                    <button class="btn btn-cust1 float-right" type="submit">Create Credit Note</button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->


                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Credit Note #</th>
                                        <th>Sale Invoice #</th>
                                        <th>Amount</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <?php $__empty_1 = true; $__currentLoopData = $creditNotes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $creditNote): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        
                                        <tr>
                                            <td><?php echo e($creditNote->date); ?></td>
                                            <td><?php echo e($creditNote->invoice_no); ?></td>
                                            <td><?php echo e($creditNote->sales_invoice_no); ?></td>
                                            
                                            <?php if(!$creditNote->trashed()): ?>
                                            <td><?php echo e(number_format($creditNote->total_gross_amount, session('branch')->currency_decimal)); ?></td>
                                            <?php else: ?>
                                                <td>-</td>
                                            <?php endif; ?>
                                            <td>
                                                <a href="<?php echo e(route('crusher.credit_notes.show', ['credit_note' => $creditNote->id])); ?>">
                                                    <i class="far fa-eye cust-icon2"></i>
                                                </a>

                                                <?php if(!$creditNote->trashed()): ?> <!-- Check if the record is not soft-deleted -->
                                                    <a href="<?php echo e(route('crusher.credit_notes.edit', ['credit_note' => $creditNote->id])); ?>">
                                                        <i class="far fa-edit cust-icon2"></i>
                                                    </a>

                                                    <form action="<?php echo e(route('crusher.credit_notes.delete')); ?>" method="POST" class="d-inline">
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <input type="hidden" name="invoice_no" value="<?php echo e($creditNote->invoice_no); ?>">
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit" class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                                <?php else: ?> <!-- If the record is soft-deleted, mark it as deleted -->
                                                    <span class="text-danger">Deleted</span>
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_credit_note_srv/index.blade.php ENDPATH**/ ?>