<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-2">
                <div class="col-sm-6">
                    <h6 class="card-title mb-4 titlcust">Purchase Invoice
                    </h6>
                </div>
                <div class="col-sm-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Purchase Invoice</h6>

                    <br>



                    <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    <?php else: ?>
                    <div class="col-md-12 d-flex align-items-center justify-content-center mb-3">
                        <img src="<?php echo e(asset('assets/images/acp-logo.svg')); ?>" class="img-fluid" alt="logo"
                            width="270px">
                    </div>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> <?php echo e($company->name); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> <?php echo e(session()->get('branch')->name); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> <?php echo e(session()->get('branch')->address); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> <?php echo e($company->country); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> <?php echo e($company->cr_number); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> <?php echo e($company->vat_number); ?></p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong> <?php echo e($purchaseInvoice[0]->date); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Purchase Invoice # : </strong> <?php echo e($purchaseInvoice[0]->invoice_no); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Mode/Term of Payment : </strong> <?php echo e($purchaseInvoice[0]->term_of_payment); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>LPO Number(Supplier) : </strong> <?php echo e($purchaseInvoice[0]->lpo_no); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Purchase Order Number : </strong> <?php echo e($purchaseInvoice[0]->po_no ?? ''); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>LPO(DUE DAYS) : </strong> <?php echo e($purchaseInvoice[0]->lpo_days); ?></p>
                        </div>
                        <div class="col-md-12" style="border-left: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Client; </strong> </p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Account Name : </strong> <?php echo e($purchaseInvoice[0]->account->name_of_organisation ?? ($purchaseInvoice[0]->account->account_name ?? $purchaseInvoice[0]->account->first_name . ' ' . $purchaseInvoice[0]->account->last_name)); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Email :</strong> <?php echo e($purchaseInvoice[0]->account->email ?? 'No Record Found'); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Person Name : </strong><?php echo e($purchaseInvoice[0]->account->contact_person_name ?? 'No Record Found'); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Number : </strong><?php echo e($purchaseInvoice[0]->account->mobile ?? 'No Record Found'); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>VAT Number : </strong><?php echo e($purchaseInvoice[0]->account->vat_number ?? 'No Record Found'); ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                <thead >
                                    <tr style="background-color: black;color:white;border-color: black">
                                        <th style="border: none">S No.</th>
                                        <th style="border: none">Item Name</th>
                                        <th style="border: none">Item Description</th>
                                        <th style="border: none">Quantity</th>
                                        <th style="border: none">Rate/Unit</th>
                                        <th style="border: none">Gross Amount</th>
                                        <th style="border: none">VAT %</th>
                                        <th style="border: none">VAT Amount</th>
                                        <th style="border: none">Net Amount</th>
                                        <th style="border: none">C&F <span id="total-cf-th"></span></th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" >
                                    <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                   <tr>
                                        <td class="border border-dark"><?php echo e($key + 1); ?></td>
                                        <td class="border border-dark"><?php echo e($pr->item->name ?? ''); ?></td>
                                        <td class="border border-dark"><?php echo e($pr->item_description); ?></td>
                                        <td class="border border-dark"><?php echo e($pr->quantity); ?></td>
                                        <td class="border border-dark"><?php echo e(number_format($pr->rate_unit, session('branch')->currency_decimal)); ?></td>
                                        <td class="border border-dark"><?php echo e(number_format($pr->gross_amount, session('branch')->currency_decimal)); ?></td>
                                        <td class="border border-dark"><?php echo e($pr->vat_percentage); ?></td>
                                        <td class="border border-dark"><?php echo e(number_format($pr->vat_amount, session('branch')->currency_decimal)); ?></td>
                                        <td class="border border-dark"><?php echo e(number_format($pr->net_amount, session('branch')->currency_decimal)); ?></td>
                                        <td class="border border-dark" id="cf-amount"><?php echo e($pr->c_f); ?></td>
                                   </tr>
                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><?php echo session()->get('branch')->payment_details; ?></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Gross Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Vat Total </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e($purchaseInvoice[0]->total_quantity); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format($purchaseInvoice[0]->total_gross_amount, session('branch')->currency_decimal)); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format($purchaseInvoice[0]->total_vat_amount, session('branch')->currency_decimal)); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format($purchaseInvoice[0]->total_net_amount, session('branch')->currency_decimal)); ?></p>
                        </div>
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            
                        </div>
                        <div class="col-md-4 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Amount in Words: </strong><span><?php echo e($purchaseInvoice[0]->AmountInWords); ?></span></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                        </div>


                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong><?php echo e($company->name); ?></strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic</strong></p>
                        </div>
                    </div>

                    



                    

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>


    
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Calculate the grand total and update the element
            const new_vat_amount = <?php echo e($purchaseInvoice[0]->new_vat_amount); ?>;
            const totalNetAmount = <?php echo e($purchaseInvoice[0]->total_net_amount); ?>;
            const discountAmount = <?php echo e($purchaseInvoice[0]->discount_amount); ?>;

            let totalExpenseAmount = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalExpenseAmount += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            const grandTotal = totalNetAmount + totalExpenseAmount + new_vat_amount - discountAmount;
            const roundedGrandTotal = grandTotal.toFixed(2);
            document.querySelector(".grand-total").textContent = roundedGrandTotal;
            document.getElementById("grand-totalWithC&f").textContent = roundedGrandTotal;

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(roundedGrandTotal);
            $('#total_net_amount_words').text(totalNetAmountWords);

            // Calculate and display total C&F expenses
            let totalCF = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $pr->expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    totalCF += <?php echo e($expense->expense_amount); ?>;
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            // Display the total C&F expenses in the table cell with the ID "total-cf-th"
            document.getElementById("total-cf-th").textContent = "(" + Math.abs(totalCF) + ")";

            // Calculate and display total C&F value
            let cf = 0;
            <?php $__currentLoopData = $purchaseInvoice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                cf += <?php echo e($pr->c_f); ?>;
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            // Display the total C&F value in the table cell with the ID "cf-total"
            document.getElementById("cf-total").textContent = "(" + Math.abs(cf) + ")";
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_purchase_invoice/view.blade.php ENDPATH**/ ?>