<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Remainder extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'remainders';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'country_id',
        'location_id',
        'user_id',
        'title',
        'description',
        'status',
    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];

    
}

