@extends('layouts.crusher')
@section('content')

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Balance Sheet</h6>
                        </div>
                    </div>
                    <form action="{{ route('balanceSheets') }}" method="POST" class="outer-repeater">
                        @csrf
                        <div class="row">
                            {{-- <div class="col-md-6">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input class="form-control" type="hidden" id="from_date" name="from_date"pattern="\d{4}-\d{2}-\d{2}" value="{{ date('Y-m-d') }}">
                                </div>
                            </div> --}}
                            {{-- <input class="form-control" type="hidden" id="from_date" name="from_date"pattern="\d{4}-\d{2}-\d{2}" value="{{ date('Y-m-d') }}"> --}}
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>As On</label>
                                    <input id="to_date" name="to_date" class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}" value="{{ date('Y-m-d') }}">
                                </div>
                                <input class="form-control" type="hidden" id="from_date" name="from_date" pattern="\d{4}-\d{2}-\d{2}" value="{{ date('Y-m-d') }}">
                            </div>

                            <!-- Add JavaScript to synchronize dates -->
                            <script>
                                document.getElementById('to_date').addEventListener('change', function() {
                                    document.getElementById('from_date').value = this.value;
                                });
                            </script>

                        </div>
                        <button class="btn btn-cust1" type="submit"><i class="fas fa-check"></i>
                            View Balance Sheet</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

@endsection
