<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="author" content="Brex-Theme" />
    <!-- description -->
    <meta name="description"
        content="Kudi is a highly creative, modern, visually stunning and Bootstrap responsive multipurpose agency and portfolio HTML5 template." />
    <!-- keywords -->
    <meta name="keywords"
        content="creative, modern, clean, bootstrap responsive, html5, css3, portfolio, blog, agency, templates, multipurpose, one page, corporate, start-up, studio, branding, designer, freelancer, parallax, photography, personal" />



        <!-- Bootstrap 4.1.3 -->
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/bootstrap.min.css">
    <!-- Normalize.css -->
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/plugins/normalize.css">
    <!-- Animate.css -->
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/plugins/animate.css">
    <!-- Magnific Popup -->
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/plugins/magnific-popup.css">
    <!-- Font Awesome 4.7 -->
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <!-- Linea-basic -->
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/plugins/linea-basic.css">
    <!-- Google Font -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,200,300,400,500,600,700,800,900" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Muli:200,300,400,600,700,800,900" rel="stylesheet">
    <!-- Line Progress bar -->
    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/plugins/jquery.lineProgressbar.min.css">
    <!-- Main Css-->
    <link rel="stylesheet" href="{{asset('ledgematic')}}/css/main.css">
    <title>Ledgematic</title>

    <!-- Remix Icon -->
    <link href="https://cdn.jsdelivr.net/npm/remixicon@4.2.0/fonts/remixicon.css" rel="stylesheet" />


    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">
</head>

<body>

    <!-- Page Loading -->
    <div class="se-pre-con"></div>

    <!-- ======== Start Navbar ======== -->
    <nav class="navbar navbar-expand-lg navbar-dark">
        <div class="container">
            <a class="navbar-brand" href="{{url('/')}}"><img src="{{asset('ledgematic')}}/img/logo3.png" alt="logo"></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="{{asset('ledgematic')}}/#slider">Home
                            <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{asset('ledgematic')}}/#about">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{asset('ledgematic')}}/#services">Features</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{asset('ledgematic')}}/#portfolio">Pricing</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{asset('ledgematic')}}/#blog">Blog</a>
                    </li>

                </ul>
                <a href="{{url('login')}}" class="btn contact-btn">Login</a>
            </div>
        </div>
    </nav>
    <!-- ======== End Navbar ======== -->

    <!-- ======== Start Slider ======== -->
    <section class="slider" id="slider">
        <div class="container text-center">
            <div class="content">
                <h1>AN ERP dashboard for businesses</h1>
                <p>Lorem ipsum dolor sit amet consectetur. Gravida convallis orci ultrices non.</p>
                <a href="{{asset('ledgematic')}}/#0" class="btn">Get Started</a>
            </div>
        </div>
        <div class="dash container text-center">
            <img src="{{asset('ledgematic')}}/img/Dashboard.png" alt="">
        </div>
    </section>
    <!-- ======== End Slider ======== -->


    <!-- ======== Start Welcome ======== -->
    <section class="welcome">

        <div class="container text-center slider4-5">
            <h4>Trusted by</h4>

            <div class="slick marquee">
                @foreach ($trustedLogosRowOne as $TLRO)
                    <div class="slick-slide">
                        <div class="inner">
                            <img src="{{ asset('trustedlogo/' . $TLRO->image) }}" height="40" />
                        </div>
                    </div>
                @endforeach

            </div>

            <div dir="rtl">
            <div class="slick marquee_rtl">
                @foreach ($trustedLogosRowTwo as $TLRT)
                    <div class="slick-slide">
                        <div class="inner">
                            <img src="{{ asset('trustedlogo/' . $TLRT->image) }}"
                                height="40" />
                        </div>
                    </div>
                @endforeach

            </div>
            </div>
        </div>
        <div class="slider2-overlay"></div>
    </section>
    <!-- ======== End Welcome ======== -->

    <!-- ======== Start About ======== -->
    <section class="about long-bg" id="about">
        <div class="container mb-5">
            <div class="row">
                <div class="col-lg-7">
                    <div class="heading">
                        <h2>Powerful features to help you
                            manage all your leads</h2>
                    </div>
                </div>
                <div class="col-lg-5">
                    <p>Apsum dolor sit amet consectetur. Aliquam elementum elementum in ultrices. Dui maecenas ut eros
                        turpis ultrices metus morbi aliquet vel.
                    <p>
                </div>
            </div>
        </div>

        <div class="slider-holder">

            <div class="slick marquee">
                @foreach ($FeatureRowOne as $FRO)
                    <div class="slick-slide">
                        <div class="box">
                            <span class="icon"><img src="{{asset('ledgematic')}}/img/Icon.png" alt=""></span><br><br>
                            <div class="line m-auto"></div>
                            <h3>{{$FRO->heading	}}</h3>
                            <p>{{$FRO->description}}</p>
                        </div>
                    </div>
                @endforeach

            </div>
            <div class="slider4-overlay"></div>


            <div dir="rtl">
                <div class="slick marquee_rtl">
                    @foreach ($FeatureRowTwo as $FRT)
                    <div class="slick-slide">
                        <div class="box">
                            <span class="icon"><img src="{{asset('ledgematic')}}/img/Icon.png" alt=""></span><br><br>
                            <div class="line m-auto"></div>
                            <h3>{{$FRT->heading}}</h3>
                            <p>{{$FRT->description}}</p>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
            <div class="slider5-overlay"></div>
        </div>

        <div class="container">
            <div class="heading text-center">
                <h2>Why choose us?</h2>
                <p>Lorem ipsum dolor imet is a dummy text. Lorem ipsum dolor imet is a dummy text.
                </p>
            </div>

            <div class="trans-card">
                <img class="mr-3 line" src="{{asset('ledgematic')}}/img/11.png" alt="">
                <div class="content">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="heading ico-1">
                                <h2 class="mb-3">Lorem Ipsum</h2>
                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>The first step involves identifying all places where your personal
                                            information might be present.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Once you've identified where your information is held, the next step is to
                                            contact the administrators of this platform
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Removing personal information is not a one-time task but requires ongoing
                                            vigilance.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>There are professional services and tools available that specialise in
                                            personal information removal.
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <img src="{{asset('ledgematic')}}/img/1.png" alt="about" class="img-fluid mt-5" width="100%">
                        </div>
                    </div>
                </div>
            </div>

            <div class="trans-card">
                <img class="mr-3 line" src="{{asset('ledgematic')}}/img/22.png" alt="">
                <div class="content">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="heading ico-2">
                                <h2 class="mb-3">Lorem Ipsum</h2>
                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>The first step involves identifying all places where your personal
                                            information might be present.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Once you've identified where your information is held, the next step is to
                                            contact the administrators of this platform
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Removing personal information is not a one-time task but requires ongoing
                                            vigilance.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>There are professional services and tools available that specialise in
                                            personal information removal.
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <img src="{{asset('ledgematic')}}/img/2.png" alt="about" class="img-fluid mt-5" width="100%">
                        </div>
                    </div>
                </div>
            </div>

            <div class="trans-card">
                <img class="mr-3 line" src="{{asset('ledgematic')}}/img/33.png" alt="">
                <div class="content">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="heading ico-3">
                                <h2 class="mb-3">Lorem Ipsum</h2>
                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>The first step involves identifying all places where your personal
                                            information might be present.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Once you've identified where your information is held, the next step is to
                                            contact the administrators of this platform
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Removing personal information is not a one-time task but requires ongoing
                                            vigilance.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>There are professional services and tools available that specialise in
                                            personal information removal.
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <img src="{{asset('ledgematic')}}/img/3.png" alt="about" class="img-fluid mt-5" width="100%">
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- ======== End About ======== -->


    <!-- ======== Start Skills ======== -->
    <section class="skills" id="about">
        <div class="container">
            <div class="content content-main text-center mb-4">
                <!-- <span>Highly Creative Solutions</span> -->
                <h1>Essential apps that helps your</h1>
                <h2>Feature 1, Feature 2, Feature 3, Feature 4,</h2>
            </div>
            <div class="skill-con1 mb-4">
                <div class="row">
                    <!-- Left -->
                    <div class="col-lg-6">
                        <div class="content">
                            <!-- <span>Highly Creative Solutions</span> -->
                            <h2>Lorem Ipsum</h2>
                            <p>Lorem ipsum dolor sit amet consectetur. Proin dignissim tortor mauris viverra sed
                                volutpat
                                mauris. Amet nisi amet commodo adipiscing ut imperdiet nunc.
                            </p>
                            <a href="{{asset('ledgematic')}}/#0" class="btn">Learn More</a>
                        </div>
                    </div>
                    <!-- Right -->
                    <div class="col-lg-6">
                        <div class="skill-con2">
                            <img src="{{asset('ledgematic')}}/img/Image wrapper.png" alt="">
                        </div>
                    </div>
                </div>
            </div>


            <div class="row">
                <!-- Left -->
                <div class="col-lg-5">
                    <div class="skill-con3">
                        <div class="content">
                            <div class="image-wrapper">
                                <img src="{{asset('ledgematic')}}/img/phone.png" alt="">
                            </div>
                            <h2>Lorem Ipsum</h2>
                            <p>Lorem ipsum dolor sit amet consectetur. Proin dignissim tortor mauris viverra sed
                                volutpat
                                mauris. Amet nisi amet commodo adipiscing ut imperdiet nunc.
                            </p>
                        </div>
                    </div>
                </div>
                <!-- Right -->
                <div class="col-lg-7">
                    <div class="skill-con4">
                        <div class="content">
                            <h2>Lorem Ipsum</h2>
                            <p>Lorem ipsum dolor sit amet consectetur. Proin dignissim tortor mauris viverra sed
                                volutpat
                                mauris. Amet nisi amet commodo adipiscing ut imperdiet nunc.
                            </p>
                            <img src="{{asset('ledgematic')}}/img/image wrapper1.png" alt="">
                        </div>
                    </div>
                </div>
            </div>

            <div class="buttons-con mt-4 text-center">
                <a href="{{asset('ledgematic')}}/#0" class="btn">Get Started</a>
                <a href="{{asset('ledgematic')}}/#0" class="btn1">Browse all feature</a>
            </div>

        </div>
    </section>
    <!-- ======== End Skills ======== -->


    <!-- ======== Start Welcome ======== -->
    <section class="long-bg2">
        <div class="container">
            <div class="testimo text-center">
                <h2>What our clients say</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                    <br>
                    incididunt ut labore et dolore magna aliqua.
                </p>
            </div>
            <div class="pb-10 pt-10">
                <div class="testomi service">
                    @foreach ($Testimonial as $T)
                        <div class="slide">
                            <div class="port-box3 cust-hover style2 mb-20 position-relative overflow-hidden w-100">
                                <div class="box">
                                    <div class="mb-3">
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                    </div>
                                    <div class="line m-auto"></div>
                                    <p>“{{$T->message}}”</p>
                                    <div class="item d-flex justify-content-between align-items-center">
                                        <span class="testo-img"><img src="{{ asset('testimonial/' . $T->image) }}" alt=""></span>
                                        <div class="cont">
                                            <h3>{{$T->name}}</h3>
                                            <p>{{$T->designation}}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach


                </div>
            </div>
        </div>

        <div class="">
            <div class="slider1">
                <div class="slider1-overlay"></div>
                <div class="slide-track1">
                    <!-- <img class="blur-l1" src="{{asset('ledgematic')}}/img/Rectangle1.png" alt=""> -->
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-2.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-3.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-4.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-5.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-6.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-7.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-8.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-2.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-3.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-4.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-5.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-6.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-7.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-8.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-2.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-3.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-4.png" alt="client-logo">
                    </div>
                    <div class="slide">
                        <img src="{{asset('ledgematic')}}/img/slider/SVG-5.png" alt="client-logo">
                    </div>
                    <!-- <img class="blur-r1" src="{{asset('ledgematic')}}/img/Rectangle2.png" alt="">  -->
                </div>
            </div>
        </div>

        <div class="container">
            <div class="cont-form">
                <div class="row">
                    <div class="col-md-5">
                        <div class="title mb-5">
                            <h3>Reach Out</h3>
                            <p>Lorem ipsum dolor sit amet consectetur. Ac quam sem mi nibh volutpat enim pellentesque.
                            </p>
                        </div>
                        <div class="content">
                            <div class="row list mb-4 mt-5">
                                <div class="col-md-12">
                                    <h4>
                                        <span class="icon fa fa-check"></span>Personalized assistance.
                                    </h4>
                                </div>
                                <div class="col-md-12">
                                    <h4>
                                        <span class="icon fa fa-check"></span>
                                        Timely response.
                                    </h4>
                                </div>
                                <div class="col-md-12">
                                    <h4>
                                        <span class="icon fa fa-check"></span>Comprehensive support.
                                    </h4>
                                </div>
                            </div>

                            <div class="footer-social-icon">
                                <ul class="social_icon">
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-twitter"></i></a></li>
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-facebook"></i></a></li>
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-instagram"></i></a></li>
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-whatsapp"></i></a></li>
                                </ul>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-7">
                        <form action="{{url('contact-to-ledgematic')}}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-sm-6">
                                    <input type="text" class="form-control" placeholder="Name" name="name" required>
                                </div>
                                <div class="col-sm-6">
                                    <input type="email" class="form-control" placeholder="Email" name="email" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" rows="8" id="comment" placeholder="Message" name="message" required></textarea>
                            </div>
                            <button class="btn btn-block" type="submit">SUBMIT</button>
                        </form>
                    </div>
                </div>


                <div class="row cont-cards">
                    <!-- Info-1 -->
                    <div class="col-md-4 col-lg-4 col-sm-4">
                        <div class="info">
                            <span class="ico-3"><a href="{{asset('ledgematic')}}/#"><i class="fa fa-envelope"></i></a></span><br>
                            <h4 class="d-inline-block">Email Us
                                <br>
                                <span>loremipsum@gmail.com</span>
                            </h4>
                        </div>
                    </div>
                    <!-- Info-2 -->
                    <div class="col-md-4 col-lg-4 col-sm-4">
                        <div class="info">
                            <span class="ico-3"><a href="{{asset('ledgematic')}}/#"><i class="fa fa-phone"></i></a></span><br>
                            <h4 class="d-inline-block">Call Us
                                <br>
                                <span>+91-1234-56789</span>
                            </h4>
                        </div>
                    </div>
                    <!-- Info-3 -->
                    <div class="col-md-4 col-lg-4 col-sm-4">
                        <div class="info ">
                            <span class="ico-3"><a href="{{asset('ledgematic')}}/#"><i class="fa fa-whatsapp"></i></a></span><br>
                            <h4 class="d-inline-block">Whatsapp
                                <br>
                                <span>+91-1234-56789</span>
                            </h4>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </section>
    <!-- ======== End Welcome ======== -->

    <!-- ======== Start Video ======== -->
    <section class="video-area" id="video">
        <div class="container">
            <center>
                <div class="accordion__wrapper">
                    <h1 class="accordion__title">Frequently asked questions</h1>
                    <p class="accordion__p">Everything you need to know about Ledgematic.</p>

                    <div class="faqs-container">

                        <details open name="faq">
                            <summary>
                                <h3>Lorem ipsum dolor imet?</h3>
                            </summary>
                            <p class="content">
                                Yes, you can try us for free for 30 days. If you want, we’ll provide you with a free,
                                personalized 30-minute onboarding call to get you up and running as soon as possible.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>Lorem ipsum dolor imet?</h3>
                            </summary>
                            <p class="content">
                                Yes, you can try us for free for 30 days. If you want, we’ll provide you with a free,
                                personalized 30-minute onboarding call to get you up and running as soon as possible.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>Lorem ipsum dolor imet?</h3>
                            </summary>
                            <p class="content">
                                Yes, you can try us for free for 30 days. If you want, we’ll provide you with a free,
                                personalized 30-minute onboarding call to get you up and running as soon as possible.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>Lorem ipsum dolor imet?</h3>
                            </summary>
                            <p class="content">
                                Yes, you can try us for free for 30 days. If you want, we’ll provide you with a free,
                                personalized 30-minute onboarding call to get you up and running as soon as possible.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>Lorem ipsum dolor imet?</h3>
                            </summary>
                            <p class="content">
                                Yes, you can try us for free for 30 days. If you want, we’ll provide you with a free,
                                personalized 30-minute onboarding call to get you up and running as soon as possible.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>Lorem ipsum dolor imet?</h3>
                            </summary>
                            <p class="content">
                                Yes, you can try us for free for 30 days. If you want, we’ll provide you with a free,
                                personalized 30-minute onboarding call to get you up and running as soon as possible.
                            </p>
                        </details>


                    </div>
                </div>


            </center>
        </div>
    </section>
    <!-- ======== End Video ======== -->


    <!-- ======== Start Footer ======== -->

    <img src="{{asset('ledgematic')}}/img/Main.png" data-id='slideInUp' class='aos-item w-100' data-aos='slideInUp' alt="">
    <footer class="footer-section">
        <div class="container">
            <div class="footer-content pt-10 pb-4">
                <div class="row">
                    <div class="col-xl-4 col-lg-4 mb-50">
                        <div class="footer-widget">
                            <div class="footer-logo">
                                <a href="{{url('/')}}"><img src="{{asset('ledgematic')}}/img/Group4.png" class="img-fluid" alt="logo"></a>
                            </div>
                            <div class="footer-text">
                                <p>Lorem ipsum dolor imet is a dummy text used as a r
                                </p>
                            </div>
                            <div class="footer-social-icon">
                                <ul class="social_icon">
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-facebook"></i></a></li>
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-twitter"></i></a></li>
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-instagram"></i></a></li>
                                    <li><a href="{{asset('ledgematic')}}/#"><i class="fa fa-github"></i></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-2 col-lg-3 col-md-3 mb-30">
                        <div class="footer-widget">
                            <div class="footer-widget-heading">
                                <h3>Company</h3>
                            </div>
                            <ul>
                                <li><a href="{{asset('ledgematic')}}/#">Service</a></li>
                                <li><a href="{{asset('ledgematic')}}/#">Why us?</a></li>
                                <li><a href="{{asset('ledgematic')}}/#">About us</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-3 mb-30">
                        <div class="footer-widget">
                            <div class="footer-widget-heading">
                                <h3>Help</h3>
                            </div>
                            <ul>
                                <li><a href="{{asset('ledgematic')}}/#">Customer Support</a></li>
                                <li><a href="{{asset('ledgematic')}}/#">Terms & Conditions</a></li>
                                <li><a href="{{asset('ledgematic')}}/#">Privacy Policy</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-4 col-md-6 mb-50">
                        <div class="footer-widget">
                            <div class="footer-widget-heading">
                                <h3>Subscribe to Newsletter</h3>
                            </div>
                            <div class="subscribe-form">
                                <form action="#">
                                    <input type="text" placeholder="Email Address">
                                    <button>Join</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="copyright-area">
            <div class="container">
                <div class="text-center">
                    <div class="copyright-text">
                        <p>Designed & developed by illusionX. © Copyright 2024, All Rights Reserved by Ledgematic</p>
                    </div>
                </div>
            </div>
        </div>
    </footer>

    <!-- ==== JavaScript ==== -->
    <script src="{{asset('ledgematic')}}/js/jquery-3.3.1.min.js"></script>
    <!-- Bootstrap 4.1.3 -->
    <script src="{{asset('ledgematic')}}/js/bootstrap.min.js"></script>
    <script src="{{asset('ledgematic')}}/js/popper.min.js"></script>
    <!-- Isotope -->
    <script src="{{asset('ledgematic')}}/js/plugins/isotope.pkgd.min.js"></script>
    <script src="{{asset('ledgematic')}}/js/plugins/imagesloaded.pkgd.min.js"></script>
    <!-- Line Progress bar -->
    <script src="{{asset('ledgematic')}}/js/plugins/jquery.lineProgressbar.js"></script>
    <!-- Couner Up-->
    <script src="{{asset('ledgematic')}}/js/plugins/jquery.waypoints.min.js"></script>
    <script src="{{asset('ledgematic')}}/js/plugins/jquery.counterup.min.js"></script>
    <!-- Magnific Popup-->
    <script src="{{asset('ledgematic')}}/js/plugins/magnific-popup.min.js"></script>
    <!-- Wow Js Animations -->
    <script src="{{asset('ledgematic')}}/js/plugins/wow.min.js"></script>
    <!-- Modernizr -->
    <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
    <!-- Main Js -->
    <script src="{{asset('ledgematic')}}/js/main.js"></script>

    <script src="https://code.jquery.com/jquery-2.2.0.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.6.0/slick.js"></script>


    <script src="https://cdn.jsdelivr.net/gh/linuxguist/animation@main/aos.js"></script>
    <script>
      if (!window.Cypress) AOS.init({
        useClassNames: true,
        initClassName: false,
        animatedClassName: 'animated',
        duration: 3000, // values from 0 to 3000, with step 50ms
      });
    </script>

    <script>
        $(document).ready(function () {
            $('.slider3').slick({
                slidesToShow: 5,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 1500,
                arrows: false,
                dots: false,
                rtl: false,  // Ensure RTL is false to move from left to right
                pauseOnHover: false,
                responsive: [{
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 4
                    }
                }, {
                    breakpoint: 520,
                    settings: {
                        slidesToShow: 3
                    }
                }]
            });
        });
    </script>


    <script>
        $(document).ready(function () {
            $('.slider2').slick({
                slidesToShow: 5,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 1500,
                arrows: false,
                dots: false,
                ltr: true,  // Ensure RTL is false
                rtl: false,
                pauseOnHover: false,
                responsive: [{
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 4
                    }
                }, {
                    breakpoint: 520,
                    settings: {
                        slidesToShow: 3
                    }
                }]
            });
        });
    </script>

    <script>
        $(document).ready(function () {
            $('.testomi').slick({
                slidesToShow: 3,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 1900,
                arrows: false,
                dots: true,
                pauseOnHover: false,
                responsive: [{
                    breakpoint: 1020,
                    settings: {
                        slidesToShow: 3
                    }
                }, {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 2
                    }
                }, {
                    breakpoint: 520,
                    settings: {
                        slidesToShow: 1
                    }
                }, {
                    breakpoint: 220,
                    settings: {
                        slidesToShow: 1
                    }
                }]
            });
        });
    </script>

    <script>
        jQuery(document).ready(function ($) {
            $('.slick.marquee').slick({
                speed: 8000,
                autoplay: true,
                autoplaySpeed: 0,
                centerMode: false,
                cssEase: 'linear',
                slidesToShow: 1,
                draggable: false,
                focusOnSelect: false,
                pauseOnFocus: false,
                pauseOnHover: false,
                slidesToScroll: 1,
                variableWidth: true,
                infinite: true,
                initialSlide: 1,
                arrows: false,
                buttons: false
            });
        });

        jQuery(document).ready(function ($) {
            $('.slick.marquee_rtl').slick({
                speed: 8000,
                autoplay: true,
                autoplaySpeed: 0,
                centerMode: false,
                cssEase: 'linear',
                draggable: false,
                focusOnSelect: false,
                pauseOnFocus: false,
                pauseOnHover: false,
                slidesToShow: 1,
                slidesToScroll: 1,
                variableWidth: true,
                infinite: true,
                initialSlide: 1,
                arrows: false,
                buttons: false,
                rtl: true
            });
        });
    </script>

    <script>
        const accordions = document.querySelectorAll(".accordion");

        accordions.forEach((accordion, index) => {
            const header = accordion.querySelector(".accordion__header");
            const content = accordion.querySelector(".accordion__content");
            const icon = accordion.querySelector("#accordion-icon");

            header.addEventListener("click", () => {
                const isOpen = content.style.height === `${content.scrollHeight}px`;

                accordions.forEach((a, i) => {
                    const c = a.querySelector(".accordion__content");
                    const ic = a.querySelector("#accordion-icon");

                    c.style.height = i === index && !isOpen ? `${c.scrollHeight}px` : "0px";
                    ic.classList.toggle("ri-add-line", i !== index || !isOpen);
                    ic.classList.toggle("ri-subtract-fill", i === index && !isOpen);
                });
            });
        });

    </script>

</body>

</html>
