<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class NotificationTrack extends Model
{
    protected $table = 'notification_track';

    protected $fillable = [
        'country_id',
        'location_id',
        'notification_id'
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function notification()
    {
        return $this->belongsTo(Notifications::class, 'notification_id', 'id');
    }
}
