<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class UserRemainder extends Model
{
    protected $table = 'remainder_users';

    protected $fillable = [
        'user_id',
        'title',
        'description'
    ];

    public function reminder()
    {
        return $this->belongsTo(Remainder::class, 'remainder_id', 'id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
