@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Other Account Master</h6>
                            </div>
                        </div>
                        <form method="POST" action="{{route('crusher.other_accounts.store')}}" class="outer-repeater">

                            @csrf
                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Account Opening Balance</label>
                                        {{-- @if (auth()->user()->role=='subadmin') --}}
                                        {{-- <input class="form-control"
                                        placeholder="Account Opening Balance"
                                        id="example-password-input" disabled> --}}
                                        {{-- @else --}}
                                        <input class="form-control" type="text" name="opening_balance"
                                            placeholder="Account Opening Balance"
                                            id="example-password-input">
                                        {{-- @endif --}}
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="control-label">Debit/Credit</label>
                                        <select class="form-control select2" name="type">
                                            <option>Select Debit/Credit</option>
                                            <option value="debit">Debit</option>
                                            <option value="credit">Credit</option>
                                        </select>
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input class="form-control" name="date" type="date"
                                            pattern="\d{4}-\d{2}-\d{2}">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Account Name</label>
                                        <input class="form-control" type="text" name="account_name"
                                            placeholder="Enter Account Name" id="example-text-input">
                                            @if ($errors->has('account_name'))
                                            <div class="text-danger">{{ $errors->first('account_name') }}</div>
                                            @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Class Of Account</label>
                                        <select class="form-control select2" name="class_of_account_id">
                                            <option>Select Class of Account</option>
                                            @forelse ($classOfAccount as $account)
                                                <option value="{{ $account->id }}"
                                                    @if (old('class_of_account_id') == $account->id) selected @endif>
                                                    {{ $account->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                        @if ($errors->has('class_of_account_id'))
                                            <div class="text-danger">{{ $errors->first('class_of_account_id') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Description</label>
                                        <textarea class="form-control" rows="4" name="description" type="text" placeholder="Enter Address"
                                            id="example-textarea-input">

                                    </textarea>
                                    </div>
                                </div>

                            </div>

                            <button class="btn btn-cust1 float-right" type="submit">Add Other Account</button>

                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
