@extends('layouts.master_user')
@section('page-title')
View Docuemnts
@endsection
@section('css')
<style>
</style>
@endsection
@section('master')
active
@endsection
@section('account_master')
active
@endsection
{{-- @section('customers')
active
@endsection --}}
@section('content')

{{-- @section('page-breadcrumb')
<li>
    <a href="/admin">Customers</a>
</li>
<li class="active">
    <strong>Customers</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="row wrapper white-bg page-heading">
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                        <thead>
                        <tr>
                            <th>Title</th>
                            <th>Expiry Date</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                            <tbody>
                                @if ($docs->doc_name_1 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_1 }}</td>
                                        <td>{{ $docs->doc_expiry_1 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_1}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                                @if ($docs->doc_name_2 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_2 }}</td>
                                        <td>{{ $docs->doc_expiry_2 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_2}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                                @if ($docs->doc_name_3 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_3 }}</td>
                                        <td>{{ $docs->doc_expiry_3 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_3}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                                @if ($docs->doc_name_4 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_4 }}</td>
                                        <td>{{ $docs->doc_expiry_4 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_4}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                                @if ($docs->doc_name_5 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_5 }}</td>
                                        <td>{{ $docs->doc_expiry_5 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_5}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                                @if ($docs->doc_name_6 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_6 }}</td>
                                        <td>{{ $docs->doc_expiry_6 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_6}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                                @if ($docs->doc_name_7 != "")
                                    <tr>
                                        <td>{{ $docs->doc_name_7 }}</td>
                                        <td>{{ $docs->doc_expiry_7 }}</td>
                                        <td>
                                            <div class="btn-group">
                                                <div class="pull-right">
                                                    <a href="/public/user_files/img/{{$doc_folder}}/{{$docs->doc_file_7}}" target="blank" class="btn btn-primary"><i class="fa fa-eye" aria-hidden="true"></i></i> View </a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function(){
        $('.dataTables-customers').DataTable({
            pageLength: 25,
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [
                { extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},

                {extend: 'print',
                 customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ]

        });

    });

</script>
@endsection
